import { Merchant, Merchant as MerchantType } from '@bringg/types';
import Session from '../Services/Identity/Session';
import { CopyData, ValidatedMerchantSettings } from './Merchant.consts';
export default class MerchantApi {
    private merchantEntity;
    constructor(session: Session);
    get(): Promise<Merchant>;
    getLocal(): Merchant;
    getAll(): Promise<Merchant[]>;
    update(merchant: Partial<MerchantType>): Promise<MerchantType>;
    clean(options: {
        withDrivers: boolean;
    }): Promise<boolean>;
    createMerchantByAccountManager(newMerchant: Merchant): Promise<string>;
    proFeaturesEnabled(): boolean;
    featureFlags(): any;
    validateCopyMerchantSettings(copyData: CopyData): Promise<ValidatedMerchantSettings>;
    copyMerchantSettings(copyData: CopyData, fields: Partial<Merchant>): Promise<boolean>;
}
